Bug 798973 - Add groovy 1.8.x support to Schema Tool.
Add groovy 1.8.x support to Schema Tool.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
low Severity low
: ER2
: 5.3.0 GA
Assigned To: Marek Baluch
Marek Baluch
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 07:09 EST by Marek Baluch
Modified: 2015-03-12 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Enhancement
Doc Text:
An error occurred when attempting to use Groovy with the Schema tool. Running the Schema tool with Groovy version 1.8.x caused an error message to display. This has been patched. As a result, the two components will work together properly.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patched build file. (34.02 KB, text/xml)
2012-03-01 07:12 EST, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2012-03-01 07:09:58 EST
Description of problem:

Running schema tool with groovy version 1.8.x produces 21 errors like:

embedded_script_in__home_mbaluch_work_build_soa53dev1_jboss_as_tools_schema_build_dot_xml: 279: Modifier 'private' not allowed here.
 @ line 279, column 17.
                   private tmppath = pathname + ".tmp";
                   ^

Additional info:

The fix for this issue is pretty simple. All you need to do is replace all 'private' fields with 'def'. Please see attachment which contains the fixed build file.
Comment 1 Marek Baluch 2012-03-01 07:12:53 EST
Created attachment 566831 [details]
Patched build file.
Comment 2 Julian Coleman 2012-03-01 10:51:15 EST
Resolved with revision 10739 of:

  src/main/resources/soa-p/schema-tool/build.xml

Commit message:

  BZ-798973
  Add groovy 1.8 support.  Patch from Marek Baluch.
Comment 3 Marek Baluch 2012-05-09 15:20:30 EDT
Verified in ER2. Most of our Hudson/Jenkins RiftSaw jobs are running on Groovy 1.8.x anyway and I haven't seen a single error.
Comment 4 Suz 2012-07-16 20:32:06 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
An error occurred when attempting to use Groovy with the Schema tool. Running the Schema tool with Groovy version 1.8.x caused an error message to display. This has been patched. As a result, the two components will work together properly.

Note You need to log in before you can comment on or make changes to this bug.